/*
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *    johan - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.task;

import org.openide.util.NbBundle;

/**
 * An enum of error messages for all the possible validation issues which a
 * task can have.
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages(value = {"ExportableTaskErrorEnum treatment zone null value error message=Task is invalid. One ore more treatment zone values are empty"})
public enum ExportableTaskError {
    TREATMENT_ZONE_NULL_VALUE(Bundle.ExportableTaskErrorEnum_treatment_zone_null_value_error_message());
    private String message;

    private ExportableTaskError(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }
    
}
