/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.task.tree;

import org.netbeans.api.project.Project;
import org.netbeans.spi.project.ui.support.NodeFactorySupport;
import org.openide.nodes.AbstractNode;
import org.openide.util.NbBundle;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
@NbBundle.Messages({"TaskRootNode_display_name=Tasks"})
public class TaskRootNode extends AbstractNode {
    
    public static final String FOLDER_PATH = "Projects/nl-cloudfarming-client-task/Nodes";
    private static final String ICON_PATH = "nl/cloudfarming/client/task/folder_todolist16.png";
    
    /**
     * Children are created using the factories registered under the FOLDER_PATH
     * in the layer file.
     */
    public TaskRootNode(Project project) {
        super(NodeFactorySupport.createCompositeChildren(project, FOLDER_PATH));
        setDisplayName(Bundle.TaskRootNode_display_name());
        setIconBaseWithExtension(ICON_PATH);
    }
}
