/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.task.windows;

import java.util.ArrayList;
import java.util.List;
import javax.swing.border.TitledBorder;
import nl.cloudfarming.client.task.Task;
import org.openide.util.Lookup;
import org.openide.util.LookupEvent;
import org.openide.util.LookupListener;

/**
 *
 * @author Maciek Dulkiewicz
 */
public class EntityPanel extends javax.swing.JPanel implements LookupListener {

    private Task task;
    private Lookup.Result entities;
    List<String> entityNames = new ArrayList<>();

    /**
     * Creates new form EntityPanel
     */
    public EntityPanel() {
        initComponents();
    }

    public void setTask(Task task, Class contentClass) {
        this.task = task;
        entities = this.task.getLookup().lookupResult(contentClass);
        entities.addLookupListener(this);
        updateEntities();
    }

    private void updateEntities() {
        entityNames.clear();
        for (Object entity : entities.allInstances()) {
            entityNames.add(entity.toString());
        }
        entityList.setListData(entityNames.toArray());
    }

    public void setBorderTitle(String title) {
        TitledBorder border = (TitledBorder) getBorder();
        border.setTitle(title);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        entityList = new javax.swing.JList();

        setBorder(javax.swing.BorderFactory.createTitledBorder(""));

        jScrollPane1.setViewportView(entityList);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 150, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 200, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JList entityList;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables

    @Override
    public void resultChanged(LookupEvent ev) {
        updateEntities();
    }
}
